<script>
import { ref, getCurrentInstance } from 'vue'
export default {
	onLaunch: function () {
		const { $Http } = getCurrentInstance().proxy;
		if (uni.getStorageSync('userMsg').token) {
			{
				$Http.basic({
					"classname": "webmanage.site.site",
					"method": "querySite_Parameter", //查询站点数据
					content: {
						nocache: true
					}
				}).then(res => {
					if (res.code == 1) {
						uni.removeStorageSync('siteP');
						uni.setStorageSync("siteP", res.data)
						$Http.isLoad = true;

						$Http.basic({
							"id": "2025082114391803",
							"content": {
								"phonenumber": uni.getStorageSync('userMsg').phonenumber
							}
						}).then(res => {
							console.log("用户档案", res)
							if (res.code == 1) {
								uni.removeStorageSync('userRecord');
								uni.setStorageSync("userRecord", res.data)
							}
						})
					} else {
						$Http.isLoad = false;
					}
				})
			}
		} else {
			$Http.isLoad = false
		}
	},
	onShow: function () {
	},
	onHide: function () {
	}
}
</script>

<style lang="scss">
/* 注意要写在第一行，注意不能引入至uni.scss，同时给style标签加入lang="scss"属性 */
@import "@/uni_modules/uview-plus/index.scss";
@import '/static/iconfont.css';

page {
	background-color: #F7F7FF;
}

.navigator-hover {
	background-color: rgba(0, 0, 0, 0.1) !important;
	opacity: 0.7 !important;
}
</style>